Magick++ 7.1.0

Public Member Functions | List of all members
Magick::ErrorFileOpen Class Reference

`#include <Exception.h>`

Inheritance diagram for Magick::ErrorFileOpen:
[legend]
Collaboration diagram for Magick::ErrorFileOpen:
[legend]

## Public Member Functions
| ErrorFileOpen (const std::string &what_)
| ErrorFileOpen (const std::string &what_, Exception *nested_)
| ~ErrorFileOpen () throw ()
Public Member Functions inherited from Magick::Error
| Error (const std::string &what_)
| Error (const std::string &what_, Exception *nested_)
| ~Error () throw ()
Public Member Functions inherited from Magick::Exception
| Exception (const std::string &what_)
| Exception (const std::string &what_, Exception *nested_)
| Exception (const Exception &original_)
virtual | ~Exception () throw ()
Exception & | operator= (const Exception &original_)
virtual const char * | what () const throw ()
const Exception * | nested () const throw ()
void | nested (Exception *nested_) throw ()

## Detailed Description

Definition at line 130 of file Exception.h.

## Constructor & Destructor Documentation

## ◆ ErrorFileOpen() [1/2]

Magick::ErrorFileOpen::ErrorFileOpen | ( | const std::string & | what_ | ) |
| explicit

Definition at line 188 of file Exception.cpp.

## ◆ ErrorFileOpen() [2/2]

Magick::ErrorFileOpen::ErrorFileOpen | ( | const std::string & | what_,
|  | Exception * | nested_
| ) |  |
| explicit

Definition at line 197 of file Exception.cpp.

## ◆ ~ErrorFileOpen()

Magick::ErrorFileOpen::~ErrorFileOpen | ( |  | ) |
throw | ( |
| ) |  |

Definition at line 193 of file Exception.cpp.

The documentation for this class was generated from the following files:

- Exception.h
- Exception.cpp